import { AddTemplateArgs, ControlExtraConfiguration, Template, TemplateDependency } from "@igniteui/cli-core";
export declare class IgniteUIForWebComponentsTemplate implements Template {
    private rootPath;
    components: string[];
    controlGroup: string;
    listInComponentTemplates: boolean;
    listInCustomTemplates: boolean;
    id: string;
    name: string;
    description: string;
    framework: string;
    projectType: string;
    hasExtraConfiguration: boolean;
    packages: any[];
    dependencies: TemplateDependency[];
    delimiters: import("@igniteui/cli-core").TemplateDelimiters;
    get templatePaths(): string[];
    constructor(rootPath: string);
    generateConfig(name: string, options: {}): {
        [key: string]: any;
    };
    registerInProject(projectPath: string, fullName: string, options?: AddTemplateArgs, defaultPath?: boolean): void;
    getExtraConfiguration(): ControlExtraConfiguration[];
    setExtraConfiguration(extraConfigKeys: {}): void;
    protected getBaseVariables(name: string): {
        [key: string]: string;
    };
    protected folderName(pathName: string): string;
    protected fileName(pathName: string): string;
}
